Summary: macro module for the Apache HTTP Server
Name: mod_macro
Version: 1.1.10
Release: 2.ru6
License: ASL 1.1
Group: System Environment/Daemons
URL: http://cri.ensmp.fr/~coelho/mod_macro/
Source: http://cri.ensmp.fr/~coelho/mod_macro/mod_macro-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: httpd httpd-mmn = %([ -a %{_includedir}/httpd/.mmn ] && cat %{_includedir}/httpd/.mmn || echo missing)
BuildRequires: httpd-devel

%description
It allows the definition and use of macros within apache runtime configuration files. 
The syntax is a natural extension to apache html-like configuration style.

%prep

%setup -q -n mod_macro-%{version}

%build
/usr/sbin/apxs -c mod_macro.c

%install
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d/
install -Dp .libs/mod_macro.so %{buildroot}%{_libdir}/httpd/modules/mod_macro.so

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc INSTALL README*
%{_libdir}/httpd/modules/mod_macro.so

%changelog
* Thu Jul 08 2010 Steven Lu <sjlu@nbcs.rutgers.edu> - 1.1.10-2
- Fixing up dependency errors
* Thu Jul 08 2010 Steven Lu <sjlu@nbcs.rutgers.edu> - 1.1.10-1
- CentOS port
